Bug 10818 - System preference OAI-PMH:ConfFile isn't translatable
Summary: System preference OAI-PMH:ConfFile isn't translatable
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Target Milestone: ---
Assignee: Bernardo Gonzalez Kriegel
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-09-04 11:39 UTC by Josef Moravec
Modified: 2015-06-04 23:30 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 10818 - System preference OAI-PMH:ConfFile isn't translatable (1.98 KB, patch)
2014-03-22 15:03 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 10818 - System preference OAI-PMH:ConfFile isn't translatable (2.63 KB, patch)
2014-03-31 03:57 UTC, M. Tompsett
Details | Diff | Splinter Review
[PASSED QA] Bug 10818 - System preference OAI-PMH:ConfFile isn't translatable (2.77 KB, patch)
2014-03-31 09:11 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Josef Moravec 2013-09-04 11:39:12 UTC
This text, from System preference OAI-PMH:ConfFile, isn't translatable, and is still in english in the staff interface:

"If empty, Koha OAI Server operates in normal mode, otherwise it operates in extended mode. In extended mode, it's possible to parameter other formats than marcxml or Dublin Core. OAI-PMH:ConfFile specify a YAML configuration file which list available metadata formats and XSL file used to create them from marcxml records."

The reason is, obviously, that this text isn't in the *-pref.po files on translate.koha-community.org
Comment 1 Katrin Fischer 2014-03-15 10:11:09 UTC
Bug still valid on current master branch.
Comment 2 Bernardo Gonzalez Kriegel 2014-03-22 14:50:20 UTC
Not only that text is not translated. 
Also file description is missing in english.
Comment 3 Bernardo Gonzalez Kriegel 2014-03-22 15:03:58 UTC Comment hidden (obsolete)
Comment 4 M. Tompsett 2014-03-31 03:57:33 UTC Comment hidden (obsolete)
Comment 5 Katrin Fischer 2014-03-31 09:01:34 UTC
I think the step Mark was missing is 5.5 reinstall the templates. :)

Bernardo, thx a lot for tackling all those translation problems!
Comment 6 Katrin Fischer 2014-03-31 09:11:36 UTC
Created attachment 26699 [details] [review]
[PASSED QA] Bug 10818 - System preference OAI-PMH:ConfFile isn't translatable

This patch correct english display for OAI-PMH:ConfFile syspref,
and makes it's strings translatable

To test:
1) On Administration > System preferences > Web Services
OAI-PMH:ConfFile syspref doesn't have description before
file box. Text after that box is not translated.
2) Choose your prefered language, xx-YY, update po files
cd misc/translator
perl translate update xx-YY
3) Look into xx-YY-pref.po for any occurence of "YAML", there is none
4) Apply the patch
5) Update po files again
6) Look into xx-YY-pref.po, now there are 2 entries
7) Also reload page from 1) and check for text before
file box.

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

NOTE: I had to use install and not update, but the idea is the
      same. Having fixed the English po files, the other language
      po files (I used fr-FR) correctly generates text before
      the system preference text box. It's still English, but
      that is expected, as far as I know, since the French po
      files are lacking the translation for the strings.
      This corrects two problems at the same time, not just the
      original bug problem.
      1) Missing text before system preference text box.
      2) Missing string to translate in the po file.
      Where (2) is the original problem.

Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Works for me as described, only changes YAML pref file.
Comment 7 Galen Charlton 2014-04-04 15:48:40 UTC
Pushed to master.  Thanks, Bernardo!
Comment 8 Fridolin SOMERS 2014-07-11 06:59:06 UTC
Pushed to 3.14.x, will be in 3.14.09
Comment 9 Kyle M Hall 2014-07-14 11:28:03 UTC
Pushed to 3.12.x, will be in 3.12.14